Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.config.java.plugin.context
Class ComponentScanDeclaration

    java.lang.Object
      org.springframework.config.java.plugin.context.ComponentScanDeclaration

    public class ComponentScanDeclaration

extends java.lang.Object

TODO: JAVADOC

Constructor Summary
`ComponentScanDeclaration()`

Method Summary
`java.lang.String[]` | `getBasePackages()`
`java.lang.Class<?>` | `getNameGenerator()`
`java.lang.String` | `getResourcePattern()`
`org.springframework.context.annotation.ScopedProxyMode` | `getScopedProxy()`
`java.lang.Class<?>` | `getScopeResolver()`
`boolean` | `isAnnotationConfig()`
`boolean` | `isUseDefaultFilters()`
`void` | `setAnnotationConfig(boolean annotationConfig)`
`void` | `setBasePackages(java.lang.String[] basePackages)`
`void` | `setNameGenerator(java.lang.Class<?> nameGenerator)`
`void` | `setResourcePattern(java.lang.String resourcePattern)`
`void` | `setScopedProxy(org.springframework.context.annotation.ScopedProxyMode scopedProxyMode)`
`void` | `setScopeResolver(java.lang.Class<?> scopeResolver)`
`void` | `setUseDefaultFilters(boolean useDefaultFilters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentScanDeclaration

    public ComponentScanDeclaration()

Method Detail

### getBasePackages

    public java.lang.String[] getBasePackages()

### setBasePackages

    public void setBasePackages(java.lang.String[] basePackages)

### isUseDefaultFilters

    public boolean isUseDefaultFilters()

### setUseDefaultFilters

    public void setUseDefaultFilters(boolean useDefaultFilters)

### getResourcePattern

    public java.lang.String getResourcePattern()

### setResourcePattern

    public void setResourcePattern(java.lang.String resourcePattern)

### getNameGenerator

    public java.lang.Class<?> getNameGenerator()

### setNameGenerator

    public void setNameGenerator(java.lang.Class<?> nameGenerator)

### getScopeResolver

    public java.lang.Class<?> getScopeResolver()

### setScopeResolver

    public void setScopeResolver(java.lang.Class<?> scopeResolver)

### getScopedProxy

    public org.springframework.context.annotation.ScopedProxyMode getScopedProxy()

### setScopedProxy

    public void setScopedProxy(org.springframework.context.annotation.ScopedProxyMode scopedProxyMode)

### isAnnotationConfig

    public boolean isAnnotationConfig()

### setAnnotationConfig

    public void setAnnotationConfig(boolean annotationConfig)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD